#include <stdio.h>
#include <limits.h>
#define MAXN 200000
long long A[MAXN], B[MAXN];
int main() {
    int n,i,l,r;
    scanf("%d", &n);
    for (i = 0; i < n; ++i) {
        scanf("%lld", &A[i]);
    }
    for (i = 0; i < n; ++i) {
        scanf("%lld", &B[i]);
    }
    long long maxValue = 0;
    for (l = 0; l < n; ++l) {
        long long xorVal = 0, andVal = LLONG_MAX;
        for (r = l; r < n; ++r) {
            xorVal ^= A[r];
            andVal &= B[r];
            long long value = xorVal * andVal;
            if (value > maxValue) {
                maxValue = value;
            }
        }
    }
    printf("%lld\n", maxValue);
    return 0;
}